Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030481
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2015-08-03 10:032015-08-25 15:48
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision2e0980743044
ProjectionnoneETAnoneTarget Version3.0PR15Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030481: Wrong quantity conversion in goods receipts under some circumstancies

DescriptionWrong quantity conversion in goods receipts under some circumstancies.
Steps To ReproduceAs System Administrator:
  show Conversion tab of the UOM window
  UOM tab of Product window
  Order quanty and Order UOM fields of Purchase order window || lines tab
  Order quanty and Order UOM fields of Goods Receipt window || lines tab

As group admin role,
 Go to Unit of measure window
     select kilogram unit of measue
     Conversion tab:
         Add Unit: Multiply rate by 3.6
 Go to Product window,
    create a new product.
    Name: secondUOM
    UOM: Unit
   Price tab:
       Tarifas Bebidas Alegres
   UOM tab:
     Kilogram

Go to Purchase Order window,
   create a new one for Business Partner: Bebidas Alegres
  Lines tab:
    Product: secondUOM
    Order qty: 20
    Order UOM: Kilogram
So UOM: Unit
   Ordered qty: 72
Complete it.

Go to Pending Goods Receipts window,
   select the purchase order created before and process it.

Go to Goods Receipt window,
   realise that the movement qty is 72 and the order qty is 259.2
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00279773.0PR15Q2 closedreinaldoguerra Error obtained in Pending Goods Receipt when working with secondary UOM and conversion is only defined from second UOM to first 
depends on backport 00306443.0PR15Q3.1 closedAtulOpenbravo Wrong quantity conversion in goods receipts under some circumstancies 
depends on backport 00306453.0PR15Q2.4 closedAtulOpenbravo Wrong quantity conversion in goods receipts under some circumstancies 
related to defect 0032943 closedmarkmm82 'Fix Stock QuantityOrder Process' should round the Order quantity of the opening physical inventory to the std precision 
related to defect 0032937 closedmarkmm82 Wrong parameter is passed to the c_uom_convert function 
related to defect 0034192 closedmarkmm82 Quantity in second UOM does not match in purchase order line and goods receipt line 
blocks defect 00311853.0PR16Q1 closedTriage Finance Wrong quantity conversion in goods shipment under some circumstancies 
blocks defect 00311863.0PR16Q1 closedaferraz org.openbravo.fix.stock.qtyorderonhand module is not working with negative stock 

-  Notes
(0079163)
VictorVillar (developer)
2015-08-03 10:04

It is necessary a script to fix the data.
Besides, it might be a regression.
(0079665)
hgbot (developer)
2015-08-25 09:15

Repository: erp/devel/pi
Changeset: 2e09807430444dc374dc9762a85662e6c19b3a49
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Aug 13 10:45:12 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/2e09807430444dc374dc9762a85662e6c19b3a49 [^]

Fixes Issue 30481:Wrong quantity conversion in goods receipts under some
circumstancies

When using conversion from primary UOM to secondary uom divideby rate
should be used and when vice versa multiply rate should be used.

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.java
---
(0079702)
hgbot (developer)
2015-08-25 14:09

Repository: erp/pmods/org.openbravo.fix.stock.qtyorderonhand
Changeset: 2cd70f1f626dc414e119d73c3058018beb14002f
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Aug 25 09:25:09 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.fix.stock.qtyorderonhand/rev/2cd70f1f626dc414e119d73c3058018beb14002f [^]

Related to issue 30481: Fix wrong data

New module created with a Java process to fix wrong data.
Process will create a close physical inventory for wrong stock lines with quantity and order quantity setted as 0, and an open physical inventory for the same lines with the same quantity and the correct order quantity.

---
R modules/org.openbravo.fix.stock.qtyorderonhand/src-db/database/sourcedata/AD_MENU.xml
R modules/org.openbravo.fix.stock.qtyorderonhand/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
R modules/org.openbravo.fix.stock.qtyorderonhand/src-db/database/sourcedata/AD_MODULE.xml
R modules/org.openbravo.fix.stock.qtyorderonhand/src-db/database/sourcedata/AD_MODULE_DBPREFIX.xml
R modules/org.openbravo.fix.stock.qtyorderonhand/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
R modules/org.openbravo.fix.stock.qtyorderonhand/src-db/database/sourcedata/AD_PROCESS.xml
R modules/org.openbravo.fix.stock.qtyorderonhand/src-db/database/sourcedata/AD_TREENODE.xml
R modules/org.openbravo.fix.stock.qtyorderonhand/src/org/openbravo/fix/stock/qtyorderonhand/FixStockQtyOrderProcess.java
---
(0079703)
dmiguelez (developer)
2015-08-25 14:09

Repo with the Process that fixes wrong data:
https://code.openbravo.com/erp/pmods/org.openbravo.fix.stock.qtyorderonhand [^]
(0079704)
dmiguelez (developer)
2015-08-25 14:09

Code Review + Testing Ok
(0079725)
hudsonbot (developer)
2015-08-25 15:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e847ea2dfcc5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-08-03 10:03 VictorVillar New Issue
2015-08-03 10:03 VictorVillar Assigned To => Triage Finance
2015-08-03 10:03 VictorVillar Modules => Core
2015-08-03 10:03 VictorVillar Triggers an Emergency Pack => No
2015-08-03 10:04 VictorVillar Issue Monitored: networkb
2015-08-03 10:04 VictorVillar Note Added: 0079163
2015-08-10 07:15 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-08-10 07:15 AtulOpenbravo Status new => scheduled
2015-08-14 07:02 AtulOpenbravo Regression date => 2014-11-12
2015-08-14 07:02 AtulOpenbravo Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/e565273a954e [^]
2015-08-20 14:06 aferraz Regression date 2014-11-12 =>
2015-08-20 14:06 aferraz Regression introduced by commit https://code.openbravo.com/erp/devel/pi/rev/e565273a954e [^] =>
2015-08-21 08:56 aferraz Relationship added related to 0027977
2015-08-24 11:54 vmromanos Status scheduled => acknowledged
2015-08-24 11:55 vmromanos Status acknowledged => scheduled
2015-08-25 09:15 hgbot Checkin
2015-08-25 09:15 hgbot Note Added: 0079665
2015-08-25 09:15 hgbot Status scheduled => resolved
2015-08-25 09:15 hgbot Resolution open => fixed
2015-08-25 09:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2e09807430444dc374dc9762a85662e6c19b3a49 [^]
2015-08-25 14:09 hgbot Checkin
2015-08-25 14:09 hgbot Note Added: 0079702
2015-08-25 14:09 dmiguelez Note Added: 0079703
2015-08-25 14:09 dmiguelez Review Assigned To => dmiguelez
2015-08-25 14:09 dmiguelez Note Added: 0079704
2015-08-25 14:09 dmiguelez Status resolved => closed
2015-08-25 15:48 hudsonbot Checkin
2015-08-25 15:48 hudsonbot Note Added: 0079725
2015-10-20 12:39 VictorVillar Relationship added blocks 0031185
2015-10-20 12:44 VictorVillar Relationship added blocks 0031186
2016-05-16 11:06 ngarcia Relationship added related to 0032943
2016-05-16 11:40 ngarcia Relationship added related to 0032937
2016-10-11 19:15 ngarcia Relationship added related to 0034192


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker